LR_XML2PNG.IN(1)

NAME
lr_xml2png - generate charts from an XML report

SYNOPSIS
lr_xml2png [ options ] file.xml

OPTIONS
The graphic format to use for the charts. It can be one of jpeg, gif or png. Default is taken from the LR_IMAGE_FORMAT environment variable. The usual defaults is PNG. The directory where the charts should be written. It defaults to the current working directory.

DESCRIPTION
lr_xml2png reads an xml report from stdin, and generates charts for the subreport that have a charttype attribute. The charts will be written in the directory specified through the -o option or the current directory if that option isn't used. It will output on STDOUT a modified version of the input report with the proper lire:image elements referring to the charts added.

The CPAN perl modules GD::Graph is used.

This script gets called by lr_xml2pdf(1) and lr_xml2html(1).

SEE ALSO lr_dlf2xml(1), lr_log2report(1) =head1 VERSION $Id: lr_xml2png.in,v 1.21 2002/07/02 16:25:07 flacoste Exp $ =head1 COPYRIGHT Copyright (C) 2000-2001 Stichting LogReport Foundation LogReport@LogReport.org This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. =head1 AUTHOR Egon Willighagen =cut
# Local Variables: # mode: cperl # End: